Bug 661 - ArrayIndexOutOfBoundsException - Version 4.1.22
Summary: ArrayIndexOutOfBoundsException - Version 4.1.22
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: GUI (show other bugs)
Version: 4.1.22
Hardware: PC All
: P5 major
Assignee: Marius Mikučionis
URL:
Depends on:
Blocks:
 
Reported: 2019-04-12 13:10 CEST by Frederik Baymler Mathiesen
Modified: 2019-10-02 12:10 CEST (History)
1 user (show)

See Also:
Architecture:


Attachments
The model that generated the error (3.58 KB, text/xml)
2019-04-12 13:10 CEST, Frederik Baymler Mathiesen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederik Baymler Mathiesen 2019-04-12 13:10:21 CEST
Created attachment 332 [details]
The model that generated the error

Hi,

I created a model using UPPAAL and entered the simulator, when I got the following stacktrace, and the GUI does not update following this:

java.lang.ArrayIndexOutOfBoundsException: 7
	at com.uppaal.gui.simulator.symbolic.SymbolicSimulator.h(Unknown Source)
	at on.gN.run(Unknown Source)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:313)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
	at java.desktop/java.awt.EventQueue.access$600(EventQueue.java:97)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:87)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)

I have attached the model in question.
Comment 1 Marius Mikučionis 2019-04-16 10:56:15 CEST
Thanks for the report, I am working on this bug.
Comment 2 Marius Mikučionis 2019-10-02 12:10:38 CEST
The fix has been released in 4.1.23

The issue is not model specific, it is triggered by race condition of the simulator being updated asynchronously to the model is being compiled in the background.